# diff

suspend fun < Id , Registered > ReadCRUDRepo < Registered , Id >. diff (other: Map < Id , Registered >): MapDiff < Id , Registered >(source)

Computes the difference between this ReadCRUDRepo and a map of items. Retrieves all items from the repository and compares them with the provided map.

#### Return

A MapDiff describing added, removed, and updated items

#### Parameters

other

The map to compare against

#### Type Parameters

Id

The type of IDs

Registered

The type of objects stored in the repository

suspend fun < Id , Registered > Map < Id , Registered >. diff (other: ReadCRUDRepo < Registered , Id >): MapDiff < Id , Registered >(source)

Computes the difference between this map and a ReadCRUDRepo. Retrieves all items from the repository and compares them with this map.

#### Return

A MapDiff describing added, removed, and updated items

#### Parameters

other

The repository to compare against

#### Type Parameters

Id

The type of IDs

Registered

The type of objects

suspend fun < Id , Registered > ReadKeyValueRepo < Id , Registered >. diff (other: Map < Id , Registered >): MapDiff < Id , Registered >(source)

Computes the difference between all entries in this ReadKeyValueRepo and the given other map.

#### Return

MapDiff describing added, removed, and changed entries

#### Parameters

other

The map to compare against

#### Type Parameters

Id

The type of keys

Registered

The type of values

suspend fun < Id , Registered > Map < Id , Registered >. diff (other: ReadKeyValueRepo < Id , Registered >): MapDiff < Id , Registered >(source)

Computes the difference between this map and all entries in the given ReadKeyValueRepo.

#### Return

MapDiff describing added, removed, and changed entries

#### Parameters

other

The repository to compare against

#### Type Parameters

Id

The type of keys

Registered

The type of values

suspend fun < Id , Registered > ReadKeyValuesRepo < Id , Registered >. diff (other: Map < Id , List < Registered >>): MapDiff < Id , List < Registered >>(source)

Computes the difference between all entries in this ReadKeyValuesRepo and the given other map.

#### Return

MapDiff describing added, removed, and changed key-to-list entries

#### Parameters

other

The map to compare against

#### Type Parameters

Id

The type of keys

Registered

The type of values

suspend fun < Id , Registered > Map < Id , List < Registered >>. diff (other: ReadKeyValuesRepo < Id , Registered >): MapDiff < Id , List < Registered >>(source)

Computes the difference between this map and all entries in the given ReadKeyValuesRepo.

#### Return

MapDiff describing added, removed, and changed key-to-list entries

#### Parameters

other

The repository to compare against

#### Type Parameters

Id

The type of keys

Registered

The type of values